***********************************************************************************************
*                          PROCEDURE DELETESUBDIR                                             *
*                                                 *
***********************************************************************************************
*                    - DO delsubdir.prg WITH "c:\TEMP\" 
***********************************************************************************************

LPARAMETERS cDir
   **************************************************************************************
   *                                                              *
   **************************************************************************************
    IF PARAMETERS() = 0 
       MESSAGEBOX("   !", 0+64+0, "...") 
       RETURN
    ENDIF
    IF VARTYPE(cDir)# "C"
       MESSAGEBOX("   !", 0+64+0, " ...") 
       RETURN
    ENDIF    
    IF AT("\",cDir) = 0
       MESSAGEBOX("   !", 0+64+0, " ...") 
       RETURN
    ENDIF   
    IF !("\"$ cDir)
       MESSAGEBOX("   !", 0+64+0, " ...") 
       RETURN
    ENDIF   
    cDir = UPPER(ALLTRIM(cDir))
    IF SUBSTR(cDir, LEN(cDir), LEN(cDir)) # "\"
       cDir = cDir + "\"
    ENDIF    
    IF !DIRECTORY(cDir)
       MESSAGEBOX("    !", 0+64+0, "...") 
       RETURN
    ENDIF
    
   **************************************************************************************
   *                                                                  *
   **************************************************************************************
    cExact = SET("EXACT")
    SET EXACT OFF
    DIMENSION nDir[1]
              nDir[1] = ""
    
   **************************************************************************************
   *                  NewDir   ,                *
   *                                            *
   *                                                 *
   **************************************************************************************
    nKol = SEARCHDIR(cDir)
    IF nKol > 0
       SELECT FOLDER, LEN(ALLTRIM(FOLDER)) AS LenFOLDER ;
              FROM DIRLIST ;
              ORDER BY LenFolder desc ;
              WHERE !(UPPER(ALLTRIM(FOLDER))==UPPER(ALLTRIM(cDir))) ;
              INTO CURSOR NewDir

       SELECT NewDir
       **********************************************************************************
       *                                                             *
       *             ,                      *
       **********************************************************************************
        i=0
        SCAN FOR ASCAN(nDir, UPPER(ALLTRIM(NewDir.FOLDER))) = 0
             IF ADIR(aTmp, ALLTRIM(NewDir.Folder)+"*.*", "AHRS") = 0
                IF SEARCHDIR(ALLTRIM(NewDir.Folder)) = 1
                   RMDIR ALLTRIM(NewDir.FOLDER)
                ENDIF   
              ELSE
                i=i+1 
                DECLARE nDir[i]   
                nDir[i] = UPPER(ALLTRIM(NewDir.FOLDER))
             ENDIF
        ENDSCAN
        MESSAGEBOX("   !!!"+CHR(13)+"   "+ALLTRIM(cDir)+"   -   ", 0+64+0, "...")
    ENDIF    
    SET EXACT &cExact















***********************************************************************************************
*                          PROCEDURE SEARCHDIR                                                *
*                                              *
***********************************************************************************************
PROCEDURE SEARCHDIR
LPARAMETERS cDirName
   CREATE CURSOR DirList(FOLDER C(254))
   SELECT DirList
      cStartDir = SYS(5)+CURDIR()
      cPath     = cDirName
      nRecord   = 1
      SET DEFAULT TO (cPath)
          APPEND BLANK
          REPLACE folder WITH (cPath)
          ADIR(aDirList,"","D")
          cPathNow = SYS(5)+CURDIR()
          GO nRecord
        
          bKeepGoing =.T.
          DO WHILE bKeepGoing
             nRecord = RECNO()
             cPath   = ALLTRIM(DirList.Folder)

             SET DEFAULT TO "&cPath"
             ADIR(aDirList,"","D")
             cPathNow = SYS(5)+CURDIR()
             FOR nCopy = 1 TO ALEN(aDirList,1)
                 cFolderName = aDirList[nCopy,1]
                 IF RIGHT(aDirList[nCopy,5],1)="D" AND cFolderName # "."
                    APPEND BLANK
                    REPLACE folder WITH "&cPathNow.&cFolderName.\"
                 ENDIF
             ENDFOR
             RELEASE aDirList
             GO nRecord
             bKeepGoing = IIF(nRecord=RECCOUNT(), .F., .T.)
             SKIP
          ENDDO

          nKolZap=RECCOUNT()
          SET DEFAULT to "&cStartDir"          
          IF bKeepGoing
             cDrivePathFile = "&cPath.&cFileName"
           ELSE
             cDrivePathFile = ""
          ENDIF
RETURN nKolZap
